const { env, drgWithAttach } = require('./util');
//dato forsøges at gøres dynamisk ved at have det som input
async function createBlurring(attach, patientId, endDateTime) {
    const body = {
        id: 'idsas.CreateBlurring',
        role: 'test.annebonde',
        endpoint: 'test1 cNSP',
        fields: {
            patientId: patientId,
            endDateTime: endDateTime,
        },
        'auth-attributes': {},
    };
    await drgWithAttach(attach, body);
}

async function GetBlurredOrganisations(attach, patientId) {
    const body = {
        id: 'idsas.GetBlurredOrganisations',
        role: 'sds.foces',
        endpoint: 'test1 cNSP',
        fields: {
            patientId: patientId,
        },
        'auth-attributes': {},
    };
    await drgWithAttach(attach, body);
}

module.exports = {
    createBlurring,
    GetBlurredOrganisations,
};
