const { env, drgWithAttach } = require('./util');

async function lookUpRequest(attach, custodyCPR, patientCPR) {
    const body = {
        id: 'minlog2.lookUpId',
        role: 'test.citizen',
        endpoint: 'test1 cNSP',
        fields: {
            cprNumber: patientCPR,
            chronologic: 'true',
            fromDateTime: '2023-10-05T19:20:14.000+01:00',
            toDateTime: '2023-10-07T19:20:14.000+01:00',
        },
        'auth-attributes': { cpr: custodyCPR },
    };
    return await drgWithAttach(attach, body);
}

module.exports = {
    lookUpRequest
};