const {
    Before,
    BeforeAll,
    After,
    Given,
    Then,
    When,
} = require('@cucumber/cucumber');
const { expect } = require('../util');
const jq = require('node-jq');


Then('authorization indeholder {string} lig med {string}', function (field, value) {
    const response =
        this.getLastResponse().body.response.main.Envelope.Body
            .AuthorizationResponseStructure.authorization[0];

    // Expecting yder-response-field to equal value
    expect(response[field]._text).to.eql(value);
});

Then('authorization indeholder et cpr lig med {string}',
    async function (patientId) {
        let response = this.getLastResponse().body.response.main.Envelope
            .Body.AuthorizationResponseStructure.cpr._text;

        expect(response).to.equal(patientId);
    });


Then('der {string} en authorization', function (status) {
    let response = this.getLastResponse().body.response.main.Envelope.Body
        .AuthorizationResponseStructure;

    console.log(response)

    if (status == "findes") {
        expect(response.authorization).not.to.equal(undefined);
    } else if (status == "findes ikke") {
        expect(response.authorization).to.equal(undefined);
    }
});