const jq = require('node-jq');
const { env, drgWithAttach } = require('./util');

// BTR Data Access calls BTR Services in DRG and returns specified results

async function getNotificationBRS(attach, serialnumber) {
    const body = {
        id: 'brs.notificationQuery',
        role: 'sds.foces',
        endpoint: env,
        fields: {
            SerialNumber: serialnumber,
        }
    };

    return await drgWithAttach(attach, body);
}

module.exports = {
    getNotificationBRS,
};
